clear
installdir=`dirname $0`/
destdir=$HOME"/TechNicholMojo/mojoservo"
echo "This will install MoJoServo (TechNichol Mojo, Inc.) do you wish to continue [Y/n]?"
read answer
case "$answer" in
  [Yy]*)
;;
*)
exit 0
;;
esac


java_loc=`which java 2>>/dev/null`
if [ "$java_loc" = "" ]
then
echo ""
echo "**************************************"
echo "Java Run Time Environment not detected."
echo "MoJoServo installation can continue, but MoJoServo will not function until the Java Run Time is installed."
echo "**************************************"
echo ""
echo "[ENTER] to continue."
read
fi

echo "Enter the complete path to the directory where you want to install MoJoServo."
echo "You must specify the full pathname have write privileges."
echo -n "Directory:  [$destdir]: "
read new_dir

if [ "$new_dir" != "" ]
then
  destdir=$new_dir
fi

# dest dir exists and is a directory
if [ ! -d "$destdir" ]
then
mkdir -p $destdir 2>>/dev/null
fi
if [ ! -d $destdir ]
then
echo "Error Creating/Writing to : " $destdir
exit 0
fi

# cp files
mv "$installdir"mojoservo.jar $destdir
mv "$installdir"mojoservo.gif $destdir

home=$HOME
gnomedesk=$HOME"/.gnome-desktop"
kdedesk=$HOME"/Desktop"
if [ -d $gnomedesk ]
then
out=$gnomedesk"/mojoservo.desktop"
echo "" > $out
echo "[Desktop Entry]" >> $out
echo "Name=MoJoServo" >> $out
echo "Name[en_US.ISO8859-1]=MoJoServo" >> $out
echo "Comment[en_US.ISO8859-1]=MoJoServo" >> $out
echo "Name[de]=MoJoServo" >> $out
echo "Comment[de]=MoJoServo" >> $out
echo "Name[fr]=MoJoServo" >> $out
echo "Comment[fr]=MoJoServo" >> $out
echo "Name[ja]=MoJoServo" >> $out
echo "Comment[ja]=MoJoServo" >> $out
echo "Name[it]=MoJoServo" >> $out
echo "Comment[it]=MoJoServo" >> $out
echo "Name[es]=MoJoServo" >> $out
echo "Comment[es]=MoJoServo" >> $out
echo "Exec=java -jar " $destdir"/mojoservo.jar" >> $out
echo "Icon="$destdir"/mojoservo.gif" >> $out
echo "Terminal=false" >> $out
echo "MultipleArgs=false" >> $out
echo "Type=Application" >> $out
fi

if [ -d $kdedesk ]
then
out=$kdedesk"/MoJo_MoJoServo"
echo "[Desktop Entry]" > $out
echo "Comment=" >> $out
echo "Comment[en_US]=" >> $out
echo "Encoding=UTF-8" >> $out
echo "Exec=java -jar '$destdir/mojoservo.jar'" >> $out
echo "GenericName=" >> $out
echo "GenericName[en_US]=" >> $out
echo "Icon="$destdir"/mojoservo.gif" >> $out
echo "MimeType=" >> $out
echo "Name=MoJoServo" >> $out
echo "Name[en_US]=MoJoServo" >> $out
echo "Path=" >> $out
echo "ServiceTypes=" >> $out
echo "SwallowExec=" >> $out
echo "SwallowTitle=" >> $out
echo "Terminal=false" >> $out
echo "TerminalOptions=" >> $out
echo "Type=Application" >> $out
echo "X-KDE-SubstituteUID=false" >> $out
echo "X-KDE-Username=" >> $out
fi

echo ""
echo "MoJoServo is now installed.  Please visit http://www.technichol.com/mojoservo if more assistance is needed."

if [ "$java_loc" = "" ]
then
echo ""
echo "Please install the Java RunTime Environment before starting MoJoServo."
fi
sleep 5
 
